/* Write your custom CSS here */

body {
    padding: 0 !important;
}

.sub-menu{
    overflow-y: scroll !important;
    height: 300px;
}

.modal-content {
    max-width: 300px;
    margin: 0 auto;
}

.fs-2 {
    font-size: 24px !important;
}

textarea {
    resize: none;
}

.logo-box {
    padding:0;
}

.page-sidebar {
padding: 20px 50px 50px 50px;
}

.logo-image {
    background-image: url('../images/logo.svg');
    background-position: center;
    background-size: contain;
    height: 200px;
    width: 100%;
    background-repeat: no-repeat;
}

.logo-horizontal {
    background-image: url('../images/logo_horizontal.svg');
    background-position: center;
    background-size: contain;
    height: 100px;
    width: 100%;
    background-repeat: no-repeat;
    transition: .5s;
}

.dark-theme .logo-horizontal{
    height: 100px;
    background-image: url('../images/logo_horizontal_white.svg');
}

.row_custom {
    display: flex;
    gap: 10px;
}

.col-6_custom {
    position: relative;
    width: 100%;
}

.col-6_custom select {
    outline: none;
}

.col-12_custom{
    width: 100%;
    padding: 0 !important;
}

.btn-tertiary {
    color: #a9a9a9;
    padding: 0;
    line-height: 40px;
    margin: auto;
    display: block;
}
.btn-tertiary:hover,
.btn-tertiary:focus {
    color: #6e6e6e;
    border-color: #cccbcb;
}
/* input file style */
.input-file {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}
.input-file + .js-labelFile {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0 10px;
    cursor: pointer;
}
.input-file + .js-labelFile .icon:before {
    content: "\f093";
}
.input-file + .js-labelFile.has-file .icon:before {
    content: "\f00c";
    color: #5aac7b;
}

.dropdown-menu .dropdown-item {
    display: flex !important;
    align-items: center;
    gap: 5px;
}

.table tr {
    transition: 0.2s;
}

.actions .btn {
    transition: 0.5s;
}

.actions .btn:hover {
    transform: scale(1.1);
}

button.text-danger,
button.show-modal {
    outline: none;
    border: none;
    background: none;
}

.modal-subtitle {
    color: rgba(255, 255, 255, 0.4);
    font-weight: bold;
    font-size: 12px;
}

.modal-header {
    padding-bottom: 5px !important;
}
.card-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 10px;
}

.profile-header .profile-name h3 {
    display: block;
    color: #7d7d83;
    font-family: Montserrat, sans-serif;
    text-transform: capitalize;
    font-weight: 700;
}

.form-control {
    border-radius: 25px !important;
}

.tox-notifications-container{
    display: none !important;
}

.dark-theme .tox-tinymce {
    background: #1F2128 !important;
    border-color: #404652 !important;

}
.dark-theme .tox .tox-tbtn__select-label {
    color: #eee;
}

.tox-tinymce {
    border-radius: 10px !important;
}

.dark-theme .tox .tox-tbtn svg {
    fill:#404652  !important;
}

.dark-theme .tox-toolbar__primary {
    background: #1F2128 !important;
    border-color: #404652 !important;
}

.dark-theme .tox .tox-mbtn {
    color: #898ca4 !important;
}
.dark-theme .tox-menubar {

    background: #1F2128 !important;
}

.dark-theme .tox .tox-edit-area__iframe *{
    color: #ccc !important;
}

.dark-theme .tox .tox-edit-area__iframe {
    background-color: #f5f5f5 !important;

}

.form-group p , .form-group label {
    font-weight: bold !important;
}

.form-control p {
    margin: 0;
}

.dark-theme .tox .tox-statusbar {
    background-color: #17191f !important;
    fill:#EEE !important;
}

.dark-theme .tox-statusbar__path div , .dark-theme .tox-statusbar__branding a {
    color: #FFF !important;
}

.dark-theme .tox .tox-statusbar__resize-handle svg {
    fill: #FFF;
}

.dark-theme .tox .tox-tbtn .tox-tbtn__select-label:hover {
    color: #17191f !important;

}

span.form-control {
    word-break: break-all !important;
    border: none;
    font-weight: normal;
    background-color: #e9ecef;
}

.show-gallery,
.show-pdf {
    color: #fff !important ;
    cursor: pointer;
}

.image-modal {
    background-color: #e9ecef;
    border-radius: 25px;
    padding: 20px;
}

.page-sidebar-inner, .slimScrollDiv{
    width: 100% !important;
}

/* #image-modal:not(:hover) button.delete-photo{
    opacity: 0;
} */

#image-modal {
    display: grid;
    flex-wrap: wrap;
    gap: 20px;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
}
.image-modal img:hover {
    filter: brightness(0.7);
}

.image-modal img {
    width: 100% !important;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    transition: all ease 0.4s;
}

.lb-container img {
    width: 400px !important;
    height: auto !important;
}

.custom-select {
    border-radius: 10px !important;

}

.image-modal-close {
    font-size: 27px;
    position: absolute;
    right: 0;
    color: red;
    top: 0;
}

.dark-theme .image-modal {
    background-color: #1f2128;
}

.dark-theme .breadcrumb-item.active {
    color: #eee;
}

.dark-theme .form-control::placeholder,
.dark-theme .form-control {
    color: #898ca4 !important;
}

.delete-photo button {
    width: 100%;
}

.delete-photo {
    color: white;
    border-radius: 5px;
    border: none;
    display: flex;
    width: 100%;
    transition: all ease 0.5s;
}

.image-container:hover .delete-photo {
 opacity: 1;
}


span.form-control iframe {
    width: 100%;
    border-radius: 20px;
}





.parent-container {
    padding: 0 20px 0 20px;
    width: 100%;
}

.qa-container-body{
    display: flex;
    justify-content: space-between;
}


.qa-container-body div{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.btn_delete{
    display: flex;
    justify-content: center;
    align-items: center;
}

.qa-container ,.ask-question-container {
    list-style: none;
}

.qa-container li ,.ask-question-container li{
    border-bottom: 1px solid #999;
    margin-bottom: 15px;
}

.qa-container li.active .answer ,.ask-question-container li:active.amn{
    max-height: 275px !important;
    padding-bottom: 25px;
    transition: max-height 0.5s ease, padding-bottom 0.5s ease;
}
.qa-container li.active .question {
    color: #808080;
    transition: color 0.5s ease;
}
.qa-container .answer {
    color: #adadad;
    font-size: 14px;
    line-height: 24px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease, padding-bottom 0.5s ease;
}
.qa-container .plus-minus-toggle {
    cursor: pointer;
    height: 21px;
    position: absolute;
    width: 21px;
    left: -40px;
    top: 50%;
    z-index: 2;
}
.qa-container .plus-minus-toggle:before, .qa-container .plus-minus-toggle:after {
    background: #adadad;
    content: '';
    height: 5px;
    left: 0;
    position: absolute;
    top: 0;
    width: 21px;
    transition: transform 500ms ease;
}
.qa-container .plus-minus-toggle:after {
    transform-origin: center;
}
.qa-container .plus-minus-toggle.collapsed:after {
    transform: rotate(90deg);
}
.qa-container .plus-minus-toggle.collapsed:before {
    transform: rotate(180deg);
}
.qa-container .question {
    color: #adadad;
    font-family: sans-serif;
    font-size: 16px;
    font-weight: 800;
    text-transform: uppercase;
    position: relative;
    cursor: pointer;
    padding: 20px 0;
    transition: color 0.5s ease;
    margin: 0;
}

.dark-theme .swal2-popup{
    background: #1F2128 !important;
    color: #adadad;
}

.dark-theme .swal2-timer-progress-bar{
    background: #5fd0a5
}

.dark-theme .swal2-success-fix,
.dark-theme .swal2-success-circular-line-left,
.dark-theme .swal2-success-circular-line-right{
    display: none ;
}

.dark-theme .tox-editor-header,
.dark-theme .tox .tox-toolbar-overlord{
    background: none !important;
}

.dark-theme .mce-content-body:not([dir=rtl])[data-mce-placeholder]:not(.mce-visualblocks)::before {
    background: #222 !important;
}

.trumbowyg-editor[contenteditable=true]:empty::before{
    content: attr(placeholder);
    color: #999;
}

.select2-selection{
    display: block;
    width: 100%;
}

.select2-results__option {
    margin: 5px 0;
    list-style: none;
}

.select2-results ul#select2-page_id-results[role=listbox]{
    height: 200px;
    overflow-y: scroll;
}

.select2-results ul.select2-results__options {
    padding: 0 !important;
}

input.select2-search__field{
    width: 100% !important;
    border: none;
    background: none;
    outline: none;
}

.select2-selection__choice{
    background: none !important;
}
.select2-container{
    width: 100%;
    z-index: 999;
}

.select2-dropdown{
    display: block;
}

.select2-selection ul li{
    list-style: none !important;
}
.select2-selection__rendered{
    margin-top: 0 !important;
}

ul.dtr-details{
    width: 100%;
}

td p{
    margin: 0;
}


/* switch */

.checkbox-wrapper-59 input[type="checkbox"] {
    visibility: hidden;
    display: none;
  }

  .checkbox-wrapper-59 *,
  .checkbox-wrapper-59 ::after,
  .checkbox-wrapper-59 ::before {
    box-sizing: border-box;
  }

  .checkbox-wrapper-59 .switch {
    width: 60px;
    height: 30px;
    position: relative;
    display: inline-block;
  }

  .checkbox-wrapper-59 .slider {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 30px;
    box-shadow: 0 0 0 2px #777, 0 0 4px #777;
    cursor: pointer;
    border: 4px solid transparent;
    overflow: hidden;
    transition: 0.2s;
  }

  .checkbox-wrapper-59 .slider:before {
    position: absolute;
    content: "";
    width: 50%;
    height: 100%;
    background-color: #777;
    border-radius: 30px;
    transform: translateX(0px);
    transition: 0.2s;
  }

  .checkbox-wrapper-59 input:checked + .slider:before {
    transform: translateX(25px);
    background-color: limeGreen;
  }

  .checkbox-wrapper-59 input:checked + .slider {
    box-shadow: 0 0 0 2px limeGreen, 0 0 8px limeGreen;
  }

@media (max-width: 991px) {
    .page-header .navbar ul li.nav-profile>a {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .page-header .navbar ul li.nav-profile>a i,.page-header .navbar ul li.nav-profile>a span {
        display: block;
    }
}

@media screen and (max-width:767px) {
    .qa-container .question {
        font-size: 18px;
   }
}


@media (min-width: 576px) {
    .modal-dialog {
        max-width: 900px;
    }
}

@media (max-width: 600px) {
    .row_custom {
        flex-direction: column;
    }
    .page-content {
        padding: 0 15px;
    }
    .col-6 {
        max-width: 100%;
    }
    .card .card-body {
        padding: 10px;
    }
    .image-modal {
        overflow-x: scroll;
    }
}


/* Works on Firefox */
.sub-menu {
    scrollbar-width: thin;
    scrollbar-color: #272b33;
  }

  /* Works on Chrome, Edge, and Safari */
  .sub-menu::-webkit-scrollbar {
    width: 5px;
  }

  .sub-menu::-webkit-scrollbar-track {
    background: transparent;
  }

  .sub-menu::-webkit-scrollbar-thumb {
    background-color: #5fd0a5;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    margin-left: 4px;
  }
